package main

import (
	"cicv-data-closedloop/kinglong_msgs"
	"math"
)

func Topic() string {
	return "/data_read"
}

func Label() string {
	return "lanechange"
}

func Rule(data *kinglong_msgs.Retrieval) string {
	// 车辆紧急换道
	if math.Abs(data.StrgAngleRealValue) > 10 && data.StrgAngleSpdValue >= 25 && data.StrgAngleSpdValue <= 45 {
		return "lanechange"
	}
	return ""
}
